Distribution:	CCux
Packager: 	Christian Metzen <metzench@ccux-linux.de>

Summary:   	GDB: The GNU Project Debugger
Name:      	gdb
Version:   	7.2
Release:   	1
Provides:	gdb
License: 	GNU/GPL
URL:		http://sources.redhat.com/gdb/
Group:     	Development/C
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: ncurses-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
GDB, the GNU Project debugger, allows you to see what is going on
`inside' another program while it executes -- or what another program was doing at the moment it crashed.

%post 
ldconfig
/sbin/install-info %{_infodir}/gdb.info.gz %{_infodir}/dir 
/sbin/install-info %{_infodir}/gdb.info-1.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdb.info-2.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdb.info-3.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdb.info-4.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdb.info-5.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdbint.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdbint.info-1.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gdbint.info-2.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/stabs.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
     	/sbin/install-info --del %{_infodir}/gdb.info.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdb.info-1.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdb.info-2.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdb.info-3.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdb.info-4.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdb.info-5.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdbint.info.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdbint.info-1.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/gdbint.info-2.gz %{_infodir}/dir
	/sbin/install-info --del %{_infodir}/stabs.info.gz %{_infodir}/dir
fi 

%postun
ldconfig

%prep
%setup -qn gdb-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/lib/libbfd.a
rm -f $RPM_BUILD_ROOT/usr/lib/libbfd.la
rm -f $RPM_BUILD_ROOT/usr/lib/libiberty.a
rm -f $RPM_BUILD_ROOT/usr/lib/libopcodes.a
rm -f $RPM_BUILD_ROOT/usr/share/info/bfd.info
rm -f $RPM_BUILD_ROOT/usr/share/info/configure.info
rm -f $RPM_BUILD_ROOT/usr/share/info/standards.info
rm -f $RPM_BUILD_ROOT/usr/lib/libopcodes.la
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

# Remove the files that are part of a gdb build but that are owned and
# provided by other packages.
# These are part of binutils

rm -f $RPM_BUILD_ROOT%{_infodir}/bfd*
rm -f $RPM_BUILD_ROOT%{_infodir}/standard*
rm -f $RPM_BUILD_ROOT%{_infodir}/mmalloc*
rm -f $RPM_BUILD_ROOT%{_infodir}/configure*
rm -rf $RPM_BUILD_ROOT/usr/include/
rm -rf $RPM_BUILD_ROOT/%{_libdir}/lib{bfd*,opcodes*,iberty*,mmalloc*}
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/bfd.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/opcodes.mo

%files
%defattr(-,root,root)
%{_bindir}/gdb
%{_bindir}/gdbserver
%{_bindir}/gdbtui
%{_libdir}/libinproctrace.so
%{_datadir}/gdb/syscalls/amd64-linux.xml
%{_datadir}/gdb/syscalls/gdb-syscalls.dtd
%{_datadir}/gdb/syscalls/i386-linux.xml
%{_datadir}/gdb/syscalls/ppc64-linux.xml
%{_datadir}/gdb/syscalls/ppc-linux.xml
%{_datadir}/gdb/syscalls/sparc-linux.xml
%{_datadir}/gdb/syscalls/sparc64-linux.xml
%{_infodir}/annotate.info.gz
%{_infodir}/gdb.info-1.gz
%{_infodir}/gdb.info-2.gz
%{_infodir}/gdb.info-3.gz
%{_infodir}/gdb.info-4.gz
%{_infodir}/gdb.info-5.gz
%{_infodir}/gdb.info-6.gz
%{_infodir}/gdb.info.gz
%{_infodir}/gdbint.info-1.gz
%{_infodir}/gdbint.info-2.gz
%{_infodir}/gdbint.info.gz
%{_infodir}/stabs.info.gz
%{_mandir}/man1/gdb.1.gz
%{_mandir}/man1/gdbserver.1.gz
%{_mandir}/man1/gdbtui.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.2-1
- Version Update
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.1-1
- Version Update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.8-1
- Version Update
- added record patch 
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.1-1
- Version Update
* Thu Dec 29 2005 Karsten Brockmann <arcam@ccux-linux.de> 6.4-1
- Version Update
* Mon Jun 27 2005 Christian Metzen <metzench@ccux-linux.de> 6.3-5
- Tweaked Specfile
* Sun Jan 26 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 6.3-4
- Fixed infofile
* Sun Jan 26 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 6.3-3
- Removed double file
* Thu Jan 06 2005 Christian Metzen <metzench@ccux-linux.de> 6.3-2
- Removed Double Files
* Thu Jan 06 2005 Christian Metzen <metzench@ccux-linux.de> 6.3-1
- Initial Release
